function SystemTestController::getCacheableResponseWithCustomCacheControl

Same name and namespace in other branches
  1. 11.x core/modules/system/tests/modules/system_test/src/Controller/SystemTestController.php \Drupal\system_test\Controller\SystemTestController::getCacheableResponseWithCustomCacheControl()
  2. 10 core/modules/system/tests/modules/system_test/src/Controller/SystemTestController.php \Drupal\system_test\Controller\SystemTestController::getCacheableResponseWithCustomCacheControl()
  3. 9 core/modules/system/tests/modules/system_test/src/Controller/SystemTestController.php \Drupal\system_test\Controller\SystemTestController::getCacheableResponseWithCustomCacheControl()
  4. 8.9.x core/modules/system/tests/modules/system_test/src/Controller/SystemTestController.php \Drupal\system_test\Controller\SystemTestController::getCacheableResponseWithCustomCacheControl()

Returns a cacheable response with a custom cache control.

Attributes

#[Route(path: '/system-test/custom-cache-control', name: 'system_test.custom_cache_control', title: new TranslatableMarkup('Cacheable response with custom cache control'), requirements: [ '_access' => 'TRUE', ])]

File

core/modules/system/tests/modules/system_test/src/Controller/SystemTestController.php, line 567

Class

SystemTestController
Controller routines for system_test routes.

Namespace

Drupal\system_test\Controller

Code

public function getCacheableResponseWithCustomCacheControl() {
  return new CacheableResponse('Foo', 200, [
    'Cache-Control' => 'bar',
  ]);
}

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.